Summary:        Core annotations (annotations that only depend on jackson-core) for Jackson data processor
Name:           jackson-annotations
Version:        2.14.2
Release:        3%{?dist}
License:        Apache-2.0
URL:            https://github.com/FasterXML/jackson-annotations
Source0:        %{url}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.fasterxml.jackson:jackson-parent:pom:)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
This project contains general purpose annotations for
Jackson Data Processor, used on value and handler types.
The only annotations not included are ones that require
dependency to the Databind package. Note that only
annotations themselves (and related value classes) are
included, but no functionality that uses annotations.


%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%autosetup -n %{name}-%{name}-%{version}

%pom_remove_plugin "org.moditect:moditect-maven-plugin"
%pom_remove_plugin "org.sonatype.plugins:nexus-staging-maven-plugin"
%pom_remove_plugin "de.jjohannes:gradle-module-metadata-maven-plugin"
%pom_remove_plugin "org.codehaus.mojo:build-helper-maven-plugin"
%pom_xpath_set "//pom:javac.src.version" "11"
%pom_xpath_set "//pom:javac.target.version" "11"
%pom_xpath_set "//pom:maven.compiler.source" "11"
%pom_xpath_set "//pom:maven.compiler.target" "11"

sed -i 's/\r//' LICENSE

%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md release-notes/*

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Miaojun Dong <zoedong@tencent.com> - 2.14.2-1
- initial build
